summaryrefslogtreecommitdiffstats
path: root/development/boo
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-05-12 23:28:36 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:28:36 +0200
commitfc43e9426d25b5dadae26c75b9c8b5b9862fbede (patch)
tree632927c2f113373cd8efd9bae9223432c1925636 /development/boo
parentdaf09edc843d7d52814ae2ca4ea9d3e0523d9379 (diff)
downloadslackbuilds-fc43e9426d25b5dadae26c75b9c8b5b9862fbede.tar.gz
slackbuilds-fc43e9426d25b5dadae26c75b9c8b5b9862fbede.tar.xz
development/boo: Added to 12.2 repository
Diffstat (limited to 'development/boo')
-rw-r--r--development/boo/README5
-rw-r--r--development/boo/boo.SlackBuild76
-rw-r--r--development/boo/boo.info8
-rw-r--r--development/boo/doinst.sh3
-rw-r--r--development/boo/manpages/booc.171
-rw-r--r--development/boo/manpages/booi.137
-rw-r--r--development/boo/manpages/booish.134
-rw-r--r--development/boo/slack-desc18
8 files changed, 252 insertions, 0 deletions
diff --git a/development/boo/README b/development/boo/README
new file mode 100644
index 0000000000..15962ec71e
--- /dev/null
+++ b/development/boo/README
@@ -0,0 +1,5 @@
+Boo is a new object oriented statically typed programming language
+for the Common Language Infrastructure with a python inspired syntax
+and a special focus on language and compiler extensibility.
+
+Requires mono. \ No newline at end of file
diff --git a/development/boo/boo.SlackBuild b/development/boo/boo.SlackBuild
new file mode 100644
index 0000000000..f9c450ff1b
--- /dev/null
+++ b/development/boo/boo.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+# Slackware build script for boo
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=boo
+VERSION=${VERSION:-0.9.1.3287}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sed -i 's|^libdir=${prefix}/lib$|libdir=${prefix}/lib/mono|' extras/boo.pc.in
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# Move directory.
+mv $PKG/share/gtksourceview-1.0 $PKG/usr/share
+rm -rf $PKG/share
+
+# Make the man pages.
+( mkdir -p $PKG/usr/man/man1
+ cd $CWD/manpages
+ for i in *.1; do
+ cat $i > $PKG/usr/man/man1/$i
+ done
+ gzip -9 $PKG/usr/man/man?/*.?
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/boo/boo.info b/development/boo/boo.info
new file mode 100644
index 0000000000..00e042ef47
--- /dev/null
+++ b/development/boo/boo.info
@@ -0,0 +1,8 @@
+PRGNAM="boo"
+VERSION="0.9.1.3287"
+HOMEPAGE="http://boo.codehaus.org/"
+DOWNLOAD="http://dist.codehaus.org/boo/distributions/boo-0.9.1.3287.tar.gz"
+MD5SUM="7ea4363c9664dea34c02074ca9e56385"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="dsomero"
diff --git a/development/boo/doinst.sh b/development/boo/doinst.sh
new file mode 100644
index 0000000000..aa30ae34d7
--- /dev/null
+++ b/development/boo/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
diff --git a/development/boo/manpages/booc.1 b/development/boo/manpages/booc.1
new file mode 100644
index 0000000000..d6109ff1ae
--- /dev/null
+++ b/development/boo/manpages/booc.1
@@ -0,0 +1,71 @@
+.\" Hey, EMACS: -*- nroff -*-
+.\" First parameter, NAME, should be all caps
+.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
+.\" other parameters are allowed: see man(7), man(1)
+.TH BOOC 1 "maggio 31, 2005"
+.\" Please adjust this date whenever revising the manpage.
+.\"
+.\" Some roff macros, for reference:
+.\" .nh disable hyphenation
+.\" .hy enable hyphenation
+.\" .ad l left justify
+.\" .ad b justify to both left and right margins
+.\" .nf disable filling
+.\" .fi enable filling
+.\" .br insert line break
+.\" .sp <n> insert n+1 empty lines
+.\" for manpage-specific macros, see man(7)
+.SH NAME
+booc \- BOO compiler
+.SH SYNOPSIS
+.B booc
+.RI [ options ] " files " ...
+.SH DESCRIPTION
+This manual page documents briefly
+.B booc,
+the compiler for the BOO language.
+.SH OPTIONS
+A summary of options is included below.
+.TP
+.B \-v, \-vv, \-vvv
+Compiles using various levels of verbosity.
+.TP
+.B \-r:refname
+Adds a reference where refname is the reference name.
+.TP
+.B \-o:outfile
+Place output in file outfile.
+.TP
+.B \-t:type
+Output file will be of given type. Available types are library (to create a
+\&.dll file) or exe and winexe (to create executable files.)
+.TP
+.B \-p:pipeline
+Adds the step pipeline to the compile process.
+.TP
+.B \-c:culture
+CultureInfo to use.
+.TP
+.B \-srcdir:dir
+Specifies where to look for souce files.
+.TP
+.B \-resource:<file>[,<name>]
+Specify a resource file.
+.TP
+.B \-embedres:<file>[,<name>]
+Embed a file as resource.
+.TP
+.B \-debug
+Adds debug flags to your code. Good for non-production. (On by default)
+.TP
+.B \-debug-
+Does not add debug flags to your code. Good for production environment.
+.SH SEE ALSO
+.BR booi (1),
+.BR booish (1).
+.br
+.SH AUTHOR
+BOO was written by Rodrigo Barreto de Oliveira <rbo@acm.org>.
+.PP
+This manual page was written by Federico Di Gregorio <fog@debian.org>,
+for the Debian project (but may be used by others).
diff --git a/development/boo/manpages/booi.1 b/development/boo/manpages/booi.1
new file mode 100644
index 0000000000..7b7a49264f
--- /dev/null
+++ b/development/boo/manpages/booi.1
@@ -0,0 +1,37 @@
+.\" Hey, EMACS: -*- nroff -*-
+.\" First parameter, NAME, should be all caps
+.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
+.\" other parameters are allowed: see man(7), man(1)
+.TH BOOI 1 "maggio 31, 2005"
+.\" Please adjust this date whenever revising the manpage.
+.\"
+.\" Some roff macros, for reference:
+.\" .nh disable hyphenation
+.\" .hy enable hyphenation
+.\" .ad l left justify
+.\" .ad b justify to both left and right margins
+.\" .nf disable filling
+.\" .fi enable filling
+.\" .br insert line break
+.\" .sp <n> insert n+1 empty lines
+.\" for manpage-specific macros, see man(7)
+.SH NAME
+booi \- BOO interpreter
+.SH SYNOPSIS
+.B booi
+.RI file
+.SH DESCRIPTION
+.B booi
+is the BOO interpreter. The
+.B booi
+command takes no parameters and the name of the file to be run as its only
+argument.
+.SH SEE ALSO
+.BR booc (1),
+.BR booish (1).
+.br
+.SH AUTHOR
+BOO was written by Rodrigo Barreto de Oliveira <rbo@acm.org>.
+.PP
+This manual page was written by Federico Di Gregorio <fog@debian.org>,
+for the Debian project (but may be used by others).
diff --git a/development/boo/manpages/booish.1 b/development/boo/manpages/booish.1
new file mode 100644
index 0000000000..e438cb3bd7
--- /dev/null
+++ b/development/boo/manpages/booish.1
@@ -0,0 +1,34 @@
+.\" Hey, EMACS: -*- nroff -*-
+.\" First parameter, NAME, should be all caps
+.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
+.\" other parameters are allowed: see man(7), man(1)
+.TH BOOISH 1 "maggio 31, 2005"
+.\" Please adjust this date whenever revising the manpage.
+.\"
+.\" Some roff macros, for reference:
+.\" .nh disable hyphenation
+.\" .hy enable hyphenation
+.\" .ad l left justify
+.\" .ad b justify to both left and right margins
+.\" .nf disable filling
+.\" .fi enable filling
+.\" .br insert line break
+.\" .sp <n> insert n+1 empty lines
+.\" for manpage-specific macros, see man(7)
+.SH NAME
+booish \- BOO interactive shell
+.SH SYNOPSIS
+.B booish
+.SH DESCRIPTION
+.B booish
+is the BOO interactive shell. The command takes no parameters. Just invoke the
+shell and start coding in BOO.
+.SH SEE ALSO
+.BR booc (1),
+.BR booi (1).
+.br
+.SH AUTHOR
+BOO was written by Rodrigo Barreto de Oliveira <rbo@acm.org>.
+.PP
+This manual page was written by Federico Di Gregorio <fog@debian.org>,
+for the Debian project (but may be used by others).
diff --git a/development/boo/slack-desc b/development/boo/slack-desc
new file mode 100644
index 0000000000..cfb6569a4c
--- /dev/null
+++ b/development/boo/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+boo: boo (object oriented statically typed programming language)
+boo:
+boo: Boo is a new object oriented statically typed programming language for
+boo: the Common Language Infrastructure with a python inspired syntax and
+boo: a special focus on language and compiler extensibility.
+boo:
+boo: Homepage: http://boo.codehaus.org/
+boo:
+boo:
+boo: